<?php

$jscode[] = <<<EOC

Rico.moduleDependencies['checkboxDB'] = ['+LiveGrid', '../ricoTableColumnDB.js'];
Rico.loadModule('checkboxDB');

function select_year_calback(data)
{
  grid_update(grid);
}

function select_year(obj)
{
  if (!obj.options[obj.selectedIndex].value.length)
    val = -1;
  else
    val = obj.options[obj.selectedIndex].value;

  ajax_request('setvar','source=gereinigt&name=year&value='+val,select_year_calback);

  if (obj.options[obj.selectedIndex].value.length)
    info('Jahr ' + obj.options[obj.selectedIndex].innerHTML + ' ausgewählt');
  else
    info('');
}
EOC;

include_once($_SESSION['sys']['basedir'].'/lib/overview_utils.php');

if (empty($_SESSION['gereinigt.year'])) $_SESSION['gereinigt.year'] = date('Y');

$mask = array(
	      'table' => 'kostenstellen',
	      'title' => 'Gewässer gereinigt?',
	      'join' => array('gebiet ON kostenstellen.gebiet = gebiet.id'),
	      'select' => array(
				'title' => 'Auswahl',
				'options' => discover_years(true),
				'default' => 'Jahr wählen',
				'selected' => $_SESSION['gereinigt.year'],
				'onchange' => 'select_year(this)',
				),
	      'variables' => array('year'),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'sql' => 'kostenstellen.id',
					    'visible' => false,
					    ),
			      'gebiet' => array(
					    'name' => 'Gebiet',
					    'sql' => 'gebiet.gebiet',
					    'specs' => "filterUI: 's'",
					    'width' => 220,
					    ),
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'specs' => "filterUI: 's'",
					    'width' => 220,
					    ),
			      'gereinigt' => array(
					    'name' => 'gereinigt?',
					    'width' => 40,
					    'sql' => '(SELECT count(*) FROM gereinigt WHERE jahr = '
						. intval($_SESSION['gereinigt.year'])
						. ' AND gereinigt.kostenstelle = kostenstellen.id)',
					    'control' => "new Rico.TableColumn.checkboxDB(0, 'ajax/ricoUpdateConnection.php')",
					    'specs' => "filterUI: 'c'",
					    'update' => array('table' => 'gereinigt',
							      'basecol' => 'jahr',
							      'baseval' => $_SESSION['gereinigt.year'],
							      'refcol' => 'kostenstelle',
							      'reftable' => 'kostenstellen',
							      'refid' => 'kostenstellen.id',
							      ),
					    ),
/*
			      'gereinigt' => array(
					    'name' => 'gereinigt',
					    'type' => 'number',
					    'specs' => "ClassName: 'alignright'",
					    'width' => 60,
					    ),
*/
			      ),
	      'rows' => 20,
	      );

?>
